import * as React from 'react';
import { Button } from '@patternfly/react-core';

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

const _excluded = ["text", "isLoading"];
const SubmitButton = _ref => {
  let {
    text,
    isLoading
  } = _ref,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return React.createElement(Button, Object.assign({
    type: 'submit',
    variant: 'primary',
    isLoading: isLoading,
    isDisabled: isLoading
  }, props), text);
};

export { SubmitButton };
